<?php
namespace Financeiro\Repositories;

/**
 * Class Bancopref
 * @package Financeiro\Repositories
 */
class Bancopref extends \Doctrine\ORM\EntityRepository
{


    /**
     * @param $nrorg
     * @param $cdcliente
     * @param $cdempresa
     * @return array
     */
    public function getBancoPrefDadosBoleto($nrorg,$cdcliente,$cdempresa){
        $sql = <<<SQL
        SELECT
           BP.CDBANCO,
           BP.CDCLIENTE,
           BP.IDPRIORBPREF,
           BP.CDREDUCONT,
           BP.CDTPBAIXAREC,
           NVL(BP.CDINS1COBRCL, EB.CDINS1COBR) CDINS1COBRCL,
           NVL(BP.CDINS2COBRCL, EB.CDINS2COBR) CDINS2COBRCL,
           EB.CDCARTCOBR,
           EB.QTDIAPROTEST,
           EB.IDIMPRBOLETO,
           EB.TXMENSBOLETO,
           CC.CDEMPRESA
        FROM
           BANCOPREF BP,
           CONTCORR  CC,
           EMPRBANC  EB
        WHERE
           (BP.CDCLIENTE = :P_CDCLIENTE)   AND
           (BP.CDREDUCONT = CC.CDREDUCONT) AND
           (CC.CDEMPRESA = :P_CDEMPRESA)   AND
           (BP.IDPRIORBPREF = 'S')         AND
           (EB.CDBANCO   (+) = CC.CDBANCO) AND
           (EB.CDEMPRESA (+) = CC.CDEMPRESA) AND
           (EB.NRORG = :P_NRORG)



SQL;
        $params = array(
            "P_NRORG"        => $nrorg,
            "P_CDCLIENTE"     => $cdcliente,
            "P_CDEMPRESA"   => $cdempresa,
        );
        $result = $this->getEntityManager()->getConnection()->fetchAll($sql, $params);
        if($result)
            return $result[0];
        else
            return null;
    }


}