import {
  Metadata, Loader, IEventParam,
} from '@zeedhi/core';
import {
  Select, Checkbox,
} from '@zeedhi/common';

export class FormTpCardapioController {
  public appController = Loader.getInstance('AppController');

  public utilities = Loader.getInstance('Utilities');
  
  public arvPai = {
    NRPASTATCARD: '',
    NMPASTATCARD: '',
    NRNVPASTCARD: '',
  };

  public nmArvPai = '';

  public semPai = true;

  public setArvPai(value: { NRPASTATCARD: ''; NMPASTATCARD: ''; NRNVPASTCARD: '' }) {
    this.arvPai = value;
    this.nmArvPai = value.NMPASTATCARD ? value.NMPASTATCARD : '';
  }

  public getArvPai() {
    return this.arvPai;
  }

  public clearModal() {
    const arvTpCard: Select = Metadata.getInstance('ARVTIPOCARD');
    arvTpCard.value = '';
  }

  public clearPai({ component }: IEventParam<Checkbox>) {
    if (component.value) {
      this.nmArvPai = '';
      this.semPai = true;
    } else {
      this.nmArvPai = this.arvPai.NMPASTATCARD;
      this.semPai = true;
    }
  }
}
